<style>
</style>
<template>
    <div>
        <div class="base_table">
            <div class="tb_title">
                <span>{{ lang.eos_key }}</span><span class="tb_title_comments">#{{ eos_public_key }}</span>
            </div>
            <div class="table_config" v-if="on_load && !show_data.length">
                <div class="fakeloader">
                    <div class="fl spinner4"></div>
                </div>
            </div>
            <div class="tb_ct">
                <table class="base_tb_ct" v-if="show_data.length">
                    <tr class="">
                        <td>
                            <div >
                                {{ lang.accounts }}
                            </div>
                        </td>
                        <!-- <td>
                            
                        </td> -->
                        <td>
                            <div>
                                
                            </div>
                        </td>
                    </tr>
                    <tr v-for="item, index in show_data">
                        <td style="width: 100px;">
                            <div>
                                {{ index + 1 }}
                            </div>
                        </td>
                        <!-- <td>
                            <div>
                                账户:
                            </div>
                        </td> -->
                        <td>
                            <div>
                                {{ item }}
                            </div>
                        </td>

                    </tr>
                </table>
            </div>
        </div>
        <div class="get_more_ct" v-if="show_data.length">
            <a class="more_action_item get_more_action" v-if="has_more && !on_load" href="javascript:;" @click="get_eos_key_accounts">{{ lang.view_more }}</a>
            <span class="more_action_item gray_info_txt" v-if="has_more && on_load" href="javascript:;">{{ lang.on_loading }}</span>
            <span class="more_action_item gray_info_txt" v-if="!has_more" href="javascript:;">{{ lang.no_more_data }}</span>
        </div>
    </div>
</template>
<script>
import {
    get_eos_key_accounts
} from '../../service/eos_service.js'
import {
    json_html_style
} from '../utils/utils.js'
import { lang } from '../../data/lang.js'
import { time_plus_hours } from '../utils/utils.js'
import load_fns from '../common/load_fns.js'
export default {
    data () {
        return {
            on_load: true,
            load_timestamp: new Date().getTime(),
            eos_public_key: 73665,
            detail: null,
            show_data: [],
            lang: lang.data,
            param_key: 'eos_public_key',
            offset: 0,
            has_more: true
        }
    },
    mounted(){
        this.get_eos_key_accounts();
    },
    watch: {
        '$route.params.eos_public_key' () {
            this.reset();
            this.get_eos_key_accounts();
        }
    },
    methods: {
        reset () {
            this.offset = 0;
            this.show_data.splice(0, this.show_data.length);
            this.has_more = true;
        },
        async get_eos_key_accounts () {
            this.eos_public_key = this.$route.params.eos_public_key;
            if(!this.has_param_key_val()) return ;
            this.start_load();
            let res = await get_eos_key_accounts(this.eos_public_key, this.offset);
            this.show_data.splice(this.show_data.length, 0, ...res.data.account_names);
            if(res.data.account_names.length < 20){
                this.has_more = false;
            }
            this.finish_load();
            this.offset ++;
        },
        ...load_fns,
        json_html_style,
        start_load (direct_load) {
            if(direct_load){
                this.on_load = true;
                return ;
            }
            let load_timestamp = new Date().getTime();
            this.load_timestamp = load_timestamp;
            setTimeout(() => {
                if(this.load_timestamp == load_timestamp){
                    this.on_load = true;        
                }
            }, 100);
        },
        finish_load () {
            this.load_timestamp = new Date().getTime();
            this.on_load = false;
        },
        check_load () {
            return this.on_load;
        },
        time_plus_hours
    }
}
</script>